use serde::{Deserialize, Serialize};

use crate::text_component::TextComponentStyle;

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq, Eq)]
pub struct ChatType {
    pub chat: ChatTypeInner,
    pub narration: ChatTypeInner,
}

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq, Eq)]
#[serde(rename_all = "snake_case")]
pub enum ChatTypeParameter {
    Sender,
    Target,
    Content,
}

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq, Eq)]
pub struct ChatTypeInner {
    pub translation_key: String,
    pub parameters: Vec<ChatTypeParameter>,
    pub style: Option<TextComponentStyle>,
}
