use potato_protocol_derive::{Packet, PacketEncodable};
use uuid::Uuid;

#[derive(Packet, Debug)]
#[packet(login_id = crate::ids::login::clientbound::LOGIN_FINISHED)]
pub struct LoginFinishedPacket {
    pub uuid: Uuid,
    pub username: String,
    pub properties: Vec<Property>,
}

#[derive(PacketEncodable, Debug)]
pub struct Property {
    pub name: String,
    pub value: String,
    pub signature: Option<String>,
}
